Subject: bug#6071: cc-(basic-)common-init not called in js-mode

From: Lennart Borgman <[email-masked]>
Date: Sun, 2 May 2010 13:00:59 +0200

On Sat, May 1, 2010 at 5:40 AM, Lennart Borgman
<[email-masked]> wrote:
> I have a bug report that I believe is due to that cc-basic-common-init
> is not called in js-mode. Due to this jus-mode modifies default values
> instead of buffer local values:
>
>  https://bugs.launchpad.net/nxhtml/+bug/572664
>
> Could this please be fixed in js.el before the release?

I think this is pretty serious since I believe any use of js.el will
give rise to the problem and it affects other major modes using
adaptive-fill-regexp.